package com.boman.domain.dto;

import com.boman.domain.TemplateData;

import java.util.List;
import java.util.Map;

public class WxMsgDto {

    private String touser;//用户openid
    private String template_id;//模版id
    private String page = "pages/indexView/addressee/index";//默认跳到小程序首页
    private String emphasis_keyword = "title.DATA";//放大那个推送字段
    private Map<String, TemplateData> data;//推送文字
    private List<Long> ids;
    private Map<String, Object> params;

    public String getTouser() {
        return touser;
    }

    public void setTouser(String touser) {
        this.touser = touser;
    }

    public String getTemplate_id() {
        return template_id;
    }

    public void setTemplate_id(String template_id) {
        this.template_id = template_id;
    }

    public String getPage() {
        return page;
    }

    public void setPage(String page) {
        this.page = page;
    }

    public String getEmphasis_keyword() {
        return emphasis_keyword;
    }

    public void setEmphasis_keyword(String emphasis_keyword) {
        this.emphasis_keyword = emphasis_keyword;
    }

    public Map<String, TemplateData> getData() {
        return data;
    }

    public void setData(Map<String, TemplateData> data) {
        this.data = data;
    }

    public List<Long> getIds() {
        return ids;
    }

    public void setIds(List<Long> ids) {
        this.ids = ids;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }
}
